! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
! 
!  MIDAS procedure ascii_bin.prg 
!  to convert ascii LUT + ITT files to binary MIDAS tables
!  and to create viewluts.aux (needed for VIEW/IMA)
!  and to build (or copy) necessary X11-Font file
!  K. Banse	ESO - Garching	910506
! 
!  use via: @ ascii_bin [no_fontfile_creation]
! 
!.VERSION
! 040127	last modif
! 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! prepare the different directory names 
! 
if aux_mode(1) .le. 1 then              ! VMS
   define/local ascdir/c/1/60 -
     "MID_DISK:[&MIDASHOME.&MIDVERS.SYSTAB.ASCII.DISPLAY] " ? +lower
   define/local bindir/c/1/60 -
     "MID_DISK:[&MIDASHOME.&MIDVERS.SYSTAB.BIN] " ? +lower
   define/local defdir/c/1/2 "[]" ? +lower
else                                    ! UNIX
   define/local ascdir/c/1/60 "$MID_HOME/systab/ascii/display/ " ? +lower
   define/local bindir/c/1/60 "$MID_HOME/systab/bin/ " ? +lower
   define/local defdir/c/1/2 "./" ? +lower
endif
!
!  first the LUTs
write/out Creating LUTs ...
@ asciilut
write/out -----------------------------------------------------
!
!  then the ITTs
write/out Creating ITTs ...
@ asciiitt
write/out -----------------------------------------------------
!
!  and also create the frame idisave.dat in $MIDASHOME/$MIDVERS/incl
write/out Creating auxiliary file idisave.dat ...
@ idisave
write/out -----------------------------------------------------
! 
!  and also create the frame viewluts.aux in $MID_SYSTAB
write/out Creating auxiliary file viewluts.aux ...
@ viewluts
write/out -----------------------------------------------------
! 
!  and also create the file FORGRdrs.KEY in $MID_MONIT
write/out "Creating binary keyword file FORGRdrs.KEY in $MID_MONIT ..."
if aux_mode .ne. 1 then				!Unix
   $ cp $MID_WORK/FORGR{mid$sess(11:12)}.KEY $MID_MONIT/FORGRdrs.KEY
else						!VMS
   $ copy MID_WORK:FORGR{mid$sess(11:12)}.KEY MID_MONIT:FORGRdrs.KEY 
endif
write/out -----------------------------------------------------
! 
!  and finally build x11fonts.dat for $MID_SYSTAB 
inputc = m$symbol("DISPLAY")
if p1(1:2) .eq. "NO" then
   write/out We copy default (created at ESO) X11-Fonts-file: x11fonts.dat 
   write/out from /midas/{MID$SESS(16:20)}/systab/ascii/display to $MID_SYSTAB
else if inputc(1:4) .eq. "DISP" then
   write/out OJO - environment variable DISPLAY not set.
   write/out We copy default (created at ESO) X11-Fonts-file: x11fonts.dat 
   write/out from /midas/{MID$SESS(16:20)}/systab/ascii/display to $MID_SYSTAB
   write/out You should create a local x11fonts.dat once you are running Midas
   write/out with a display (and DISPLAY var. set) via: @a showfonts all new
   write/out Check the command options of that procedure via: -
             "help/applic showfonts"
else
   write/out Creating Fonts file x11fonts.dat for current X11 server ...
   outputi(15) = -1
   @a showfonts all new nn >Null
   if outputi(15) .gt. 0 then
      write/out x11fonts.dat succesfully created + copied to MID_SYSTAB
   endif
   write/out Now, get rid of previous x11fonts.dat in current dir. (if any)
   if aux_mode(1) .le. 1 then              !delete Fontfile in current dir.
      $ DELETE x11fonts.dat.*
   else                                    ! UNIX
      $ rm x11fonts.dat
   endif
endif
write/out -----------------------------------------------------
! 
